CAD Forum - Database of tips, tricks and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
Czech English Deutsch
Login/Register:
 Visitors: 2397 
RSS tips RSS channel - CAD tips
RSS discussion RSS channel - CAD discussion

Discussion Discussion forum

HelpCAD discussion

CAD Forum - Homepage CAD discussion forum - ask any CAD-related questions here, share your CAD knowledge on AutoCAD, Inventor, Revit and other Autodesk software with your peers from all over the world. To start a new topic, choose an appropriate forum.

Please abide by the rules of this forum.

How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

The information that you provide in this form will make up your forum profile which can be viewed by other forum members. Your email address will only be visible by forum admin and moderators and will be used to send you Forum Notifications. To cancel your account, use the page Opt-out or contact webmaster@cadforum.cz.

unreconciled layers

 Post Reply Post Reply
Author
aqeel222 View Drop Down
Groupie
Groupie


Joined: 18.Feb.2014
Location: Saudi Arabia
Using: AutoCAD2014
Status: Offline
Points: 57
Post Options Post Options   Thanks (0) Thanks(0)   Quote aqeel222 Quote  Post ReplyReply Direct Link To This Post Topic: unreconciled layers
    Posted: 27.Mar.2019 at 06:04
I had setting before unreconciled new layers of xref to reconcile layers,  I just click the toolbar button and the command done.
but I lost that setting of toolbar button. any body know about this...?
Back to Top
Kent Cooper View Drop Down
Senior Member
Senior Member


Joined: 12.Mar.2013
Location: United States
Using: AutoCAD2019
Status: Offline
Points: 469
Post Options Post Options   Thanks (1) Thanks(1)   Quote Kent Cooper Quote  Post ReplyReply Direct Link To This Post Posted: 28.Mar.2019 at 16:18
This custom command definition seems to do that, in quickie testing:
 
(defun C:RAL () ; = Reconcile All Layers
  (command "_.layer" "_rEconcile")
  (if (= (getvar 'lastprompt) "No unreconciled layers in drawing.")
    (command "")
    (command "*" "")
  )
  (princ)
)
 
[It checks on the last prompt because if it just did:
 
  (command "_.layer" "_rEconcile" "*" "")
 
it would run into trouble when there are none to reconcile.]
 
You can have that loaded in every drawing by acaddoc.lsp, and put the RAL command name into a Toolbar button.


Edited by Kent Cooper - 28.Mar.2019 at 16:21
Back to Top

Related CAD tips:


 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down



This page was generated in 0,078 seconds.